lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'spur/version'

Gem::Specification.new do |spec|
  spec.name          = 'spur'
  spec.version       = Spur::VERSION
  spec.authors       = ['Ben A. Morgan']
  spec.email         = ['ben@benmorgan.io']

  spec.summary       = %q{eCommerce for your Ruby on Rails Application}
  spec.description   = %q{
    Spur allows developers to setup a highly configurable ecommerce backend. The
    aim of this gem is to provide some of the core features that you might find
    inside of Solidus or the legacy project, Spree.

    If you are in need of a simple payment backend to sell some products
    (either physical, downloadable, or subscribable), Spur may be the best
    choice for you. Spur works best as an _integration_ with a SaaS product and
    for smaller stores that don't need the weight of Solidus.

    Checkout the guides for more details on getting setup. Spur will allow you
    to be able to:

    * Setup a very robust subscription platform.
    * Sell downloadable content.
    * Ship products to and from locations.
    * Accept payments without worrying about money management.
    * Provide order management for users.
  }

  spec.homepage      = 'https://github.com/spurryal/spur'
  spec.license       = 'MIT'

  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = 'https://rubygems.org'
  else
    raise 'RubyGems 2.0 or newer is required to protect against public gem pushes.'
  end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.11'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'pry'
end
